Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.tools.enhancer
Class EnhancerTask

    java.lang.Object
      Java
          com.google.appengine.tools.enhancer.EnhancerTask

    public class EnhancerTask

extends Java

An Ant task for ORM enhancement.

In order to use this task, users must install a taskdef in Ant:

       <taskdef name="enhancer" classpathref="appengine-sdk-classpath"
           classname="com.google.appengine.tools.development.enhancer.EnhancerTask"/>

Where appengine-sdk-classpath includes appengine-tools-api.jar.

Options for this task are documented on DataNucleus' web site.

Constructor Summary
`EnhancerTask()` Default constructor

Method Summary
`void` | `addFileSet(FileSet fs)` Add a fileset.
`void` | `execute()` Execution method
`java.io.File` | `getDir()` Gets the root dir for looking for files
`void` | `setApi(java.lang.String api)` set API Adapter
`void` | `setCheckonly(boolean checkonly)` Whether to just check the enhancement state
`void` | `setDestination(java.io.File destdir)` set output directory
`void` | `setDir(java.io.File dir)` Sets the root dir for looking for files
`void` | `setEnhancerName(java.lang.String enhancer)` Set the symbolic name of the ClassEnhancer to use
`void` | `setFileSuffixes(java.lang.String suffixes)` Set one or more file suffixes for the input files.
`void` | `setIf(java.lang.String ifpropertyset)` Executes this task only if the property is set
`void` | `setPersistenceUnit(java.lang.String unit)` Set the persistence-unit name to enhance
`void` | `setVerbose(boolean verbose)` set verbose

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnhancerTask

    public EnhancerTask()

  Default constructor

Method Detail

### execute

    public void execute()
                 throws BuildException

  Execution method

  Throws:
    `BuildException` - Thrown when an error occurs when processing the task

### setCheckonly

    public void setCheckonly(boolean checkonly)

  Whether to just check the enhancement state

  Parameters:
    `checkonly` - Whether to just check

### setDestination

    public void setDestination(java.io.File destdir)

  set output directory

  Parameters:
    `destdir` - output dir

### setApi

    public void setApi(java.lang.String api)

  set API Adapter

  Parameters:
    `api` - API Adapter

### setEnhancerName

    public void setEnhancerName(java.lang.String enhancer)

  Set the symbolic name of the ClassEnhancer to use

  Parameters:
    `enhancer` - Class Enhancer to use

### setPersistenceUnit

    public void setPersistenceUnit(java.lang.String unit)

  Set the persistence-unit name to enhance

  Parameters:
    `unit` - Name of the persistence-unit to enhance

### setDir

    public void setDir(java.io.File dir)

  Sets the root dir for looking for files

  Parameters:
    `dir` - the root dir

### getDir

    public java.io.File getDir()

  Gets the root dir for looking for files

  Returns:
    the root dir

### setFileSuffixes

    public void setFileSuffixes(java.lang.String suffixes)

  Set one or more file suffixes for the input files. Suffixes are separated with a comma(,)

  Parameters:
    `suffixes` - the suffices

### setVerbose

    public void setVerbose(boolean verbose)

  set verbose

  Parameters:
    `verbose` - Whether to give verbose output

### addFileSet

    public void addFileSet(FileSet fs)

  Add a fileset. @see ant manual

  Parameters:
    `fs` - the FileSet

### setIf

    public void setIf(java.lang.String ifpropertyset)

  Executes this task only if the property is set

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD